* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

	/* By default, our elemets' border, padding are calculated on top of the content  */

#div1 {
	/* margin - space generated outside of the element */
	/* border - space between your margin and padding */
	/* padding - space generated inside the element, between our border and our content */
	/* margins and paddings have four directions, they can be added at the top, bottom, left, right */

/* SYNTAX OF MARGIN */
	/* (top/bottom) (left/right) */
	/* (top) (left-right) (bottom) */
	/* (top) (right) (bottom) (left) */ 
	/*margin:  100px 10px 5px 50px; */
	border: 2px solid black;
	padding: 20px;
	background-color: red;
	width: 100px;
	height: 100px;
	display: inline-block;
	vertical-align: top;

	/* without box-sizing or the default:

		Width is calculated is like this:

		2px left border + 20px left padding + 150px width + 20px right padding + 2px right border = 144px

		box-sizing:  content box;
		box-sizing property - allows to determine how we calculte the sizo of elements.

	 */

	/* with box-sizing or the default:

		Width is calculated is like this:

		2px left border + 20px left padding + 56 content width + 20px right padding + 2px right border = 100px

		box-sizing: border; border and padding is included in the total width of our element.

	 */

	/*
		BLOCK will occupy the whole width of its parent, therefore it breaks the line. However, we ca manipulate the height and width of our block element.

		INLINE will only occupy the size of its content. However, you can't set the width and the height of an inline element. This will then dispay elements besice each other.

		INLINE-BLOCK works almost like an inline element wherein it will not start on a new line and will put elements beside each other. However, with inline-block, you can set the width and the height.  

		VERTICAL ALIGN TOP will allow us to align our items vertically from the top. It is usually used in conjuction with the inline-block elements.


	*/
}

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	width: 100px;
	height: 100px;
	display: inline-block;
	box-sizing: border-box;
	vertical-align: top;
}

#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	width: 100px;
	height: 100px;
}


#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	width: 100px;
	height: 100px;
}














